Packages Installation In CentOS

Home » CentOS » Packages Installation In CentOS
CentOS 4 Comments

Hi,

I have a customized CentOS 5.5 kernel. I want it to upgrade it to CentOS 7. The approach I have decided was to take the CentOS 7 and then install the customized packages that are there in the CentOS 5.5.

While trying to install the customized packages, I could install most of the packages, but I couldn’t install the below in the latest CentOS 7.

1. rhpl
2. mod_perl
3. notification-daemon
4. vixie-cron
5. kudzu
6. redhat-lsb
7. mod_pyton
8. webalizer
9. pam_ccreds
10. libnotify
11. irda_utils
12. readahead
13. Mkinitrd
14. Alchemist
15. Cadevar
16. sustem-config-network-tui
17. firstboot-tui

I tried to install the above packages as other packages using *YUM*, it is complaining that no such package. So I tried installing them by rpm’s. But, installing rpm’s giving “failed dependencies” error.

Can you please suggest best way to install the above listed packages on CentOS 7?

Are the packages listed above deprecated for CentOS 7 or merged into some other packages?

Thanks for the help.

4 thoughts on - Packages Installation In CentOS

  • redhat python libraries have been integrated into other things.
    mod_perl is available in epel
    no idea what this is. cron is installed by default. obsoleted. redhat-lsb should be installed by default seems to be a dead end

    didn’t find it, but I bet this is easy to install from source.

    obsoleted in the base repository. wow, I haven’t seen anyone use irda in years. irda-utils is in the epel repo (note its – not _ )
    not sure what that is, but it appears to have gone away. mkinitrd is in the dracut base package not sure what these are, but they appear to have gone away.

    cadaver, and its in epel.

    both those ‘text-user-interfaces’ are completely obsoleted.

  • Thanks for the quick reply. I couldn’t install the following packages also in the CentOS 7

    1. python-numeric
    2. system-config-services
    3. perl-BSD-Resource
    4. Perl-Net-IP
    5.system-config-nfs
    6.ipspec-tools

    Can you please suggest best way to install the above listed packages on CentOS 7?

    Are the packages listed above deprecated for CentOS 7 or merged into some other packages?

  • It’s built for EPEL 6 and Fedora, they maintainer probably needs to branch it for EPEL7.

    No longer built for CentOS7.

    EPEL.

    No longer built for CentOS7.

    EPEL.

    It looks like you ought to look at EPEL
    (https://fedoraproject.org/wiki/EPEL) before coming back to the list with another list.

    I see that Fedora have packages for system-config-services and system-config-nfs, but it isn’t built for EL7. I suspect that system-config-services is out of date since the switch to systemd as an init service. system-config-nfs appears to have stopped development, so it’s also not that useful anymore.

    I wouldn’t expect there to be a one to one equivalent of every package in CentOS5 in CentOS7. Perhaps you should reconsider your dependencies rather than trying to find an exact duplicate.

LEAVE A COMMENT